/*
 * I2C_Software.h
 *
 *  Created on: Oct 26, 2023
 *      Author: jm palomino 
 */

#ifndef I2C_SOFTWARE_H_
#define I2C_SOFTWARE_H_

#define SCL     PTBDD_PTBDD0
#define SDA     PTBDD_PTBDD1
#define SCL_IN  PTBD_PTBD0
#define SDA_IN  PTBD_PTBD1

unsigned int TWI_Read(char NACK);
void TWI_Write(unsigned int data);
void TWI_Stop(void);
void TWI_Start(void);
void delay_i2c(void);
void SCL_HIGH(void);
void SDA_HIGH(void); 
void SDA_LOW(void); 
void SCL_LOW(void);


#endif /* I2C_SOFTWARE_H_ */
